Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/backups/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/backups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/backups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "backup",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"status": "completed",
"file_size": 1048576,
"download_url": "https://app.scholarlysoftware.com/rails/active_storage/blobs/...",
"download_checksum_md5": "d41d8cd98f00b204e9800998ecf8427e",
"progress": {
"percentage": 45,
"completed_tables": 23,
"total_tables": 50,
"message": "Processing 23 of 50 tables..."
}
},
"relationships": {},
"meta": {
"requester_name": "John Doe"
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Returns details of a specific backup
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/backups/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/backups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/backups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "backup",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"status": "completed",
"file_size": 1048576,
"download_url": "https://app.scholarlysoftware.com/rails/active_storage/blobs/...",
"download_checksum_md5": "d41d8cd98f00b204e9800998ecf8427e",
"progress": {
"percentage": 45,
"completed_tables": 23,
"total_tables": 50,
"message": "Processing 23 of 50 tables..."
}
},
"relationships": {},
"meta": {
"requester_name": "John Doe"
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}